- Get loan by ID
Get loans
Get borrower's loans
Create loan
Update loan
Accelerate loan
Activate loan
Cancel loan
Charge-off loan
Close loan
Get loan credit limit
Update loan credit limit
Freeze loan
Get loan lock status
Migrate loan
Refresh loan
Reimburse
Reopen a closed loan
Reverse accelerate
Reverse charge-off
Unfreeze loan
Get loan by ID
Security
oauth2(Required scopes: loan:read) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}?includeAdditionalBorrowers=false' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
Response
{ "message": "string", "status": 0, "data": { "id": "string", "loanTypeId": "string", "additionalBorrowers": [ … ], "assetDisplayName": "string", "cancellationReason": "technicalIssue", "declineReason": { … }, "displayId": "string", "endDate": "2019-08-24", "externalId": "string", "labels": [ … ], "metaData": {}, "timestamps": { … }, "assetType": "personalClosedEndUnsecured", "chargedOffReason": "term", "companyId": "string", "mainBorrowerId": "string", "migration": { … }, "amountsValidation": { … }, "aprEffectiveAtActivation": 0.1, "aprNominalAtActivation": 0.1, "atActivation": { … }, "atOrigination": { … }, "current": { … }, "isClosed": true, "muteLoanNotices": true, "nickname": "string", "object": "installment", "ratesValidation": { … }, "servicedBy": "creditor", "status": "pending", "type": "installment" } }